{#
/**
 * @file
 * Default theme implementation to display a menu.
 *
 * Available variables:
 * - menu_name: The machine name of the menu.
 * - items: A nested list of menu items. Each menu item contains:
 *   - attributes: HTML attributes for the menu item.
 *   - below: The menu item child items.
 *   - title: The menu link title.
 *   - url: The menu link url, instance of \Drupal\Core\Url
 *   - localized_options: Menu link localized options.
 *   - is_expanded: TRUE if the link has visible children within the current
 *     menu tree.
 *   - is_collapsed: TRUE if the link has children within the current menu tree
 *     that are not currently visible.
 *   - in_active_trail: TRUE if the link is in the active trail.
 *
 * @ingroup themeable
 */
#}
<nav class="navbar navbar-default main-menu">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

            {% import _self as menus %}

            {#
              We call a macro which calls itself to render the full tree.
              @see http://twig.sensiolabs.org/doc/tags/macro.html
            #}
            {{ menus.menu_links(items, attributes, 0, site_show_search) }}

            {% macro menu_links(items, attributes, menu_level, site_show_search) %}
            {% import _self as menus %}
            {% if items %}
            {% if menu_level == 0 %}
                <ul{{ attributes.addClass('nav navbar-nav') }}>
            {% else %}
                <ul{{ attributes.removeClass('nav navbar-nav').addClass('dropdown-menu') }}>
            {% endif %}
                {% for item in items %}
                    {% if item.below %}
                    <li{{ item.attributes.addClass('dropdown') }}>

                        {% set title %}
                            {{ item.title }}
                            <span class="caret"></span>
                        {% endset %}

                        {{ link(title, item.url, item.attributes.addClass('dropdown-toggle').removeClass('dropdown')) }}
                        {% if menu_level != 0 %}
                            <font face="CERNIcons, CernIcons, cern-icons">
                                b
                            </font>
                        {% endif %}
                    {% else %}
                        <li{{ item.attributes }}>
                        {{ link(item.title, item.url) }}
                    {% endif %}
                    {% if item.below %}
                        {{ menus.menu_links(item.below, attributes, menu_level + 1, site_show_search) }}
                    {% endif %}
                    </li>

                    {% if site_show_search %}

                        {% if menu_level == 0 and loop.last %}
                            {%
                                set classes_search = [
                                'search-link',
                                item.in_active_trail ? 'active-trail',
                                item.is_active ? 'active',
                            ]
                            %}
                            <li{{ item.attributes.addclass(['search-item', 'cern-search']) }}>
                                <a href="#" class="cern-item-search search-link" onClick="openSearch()">{{ "SEARCH" | trans }}</a>

                                <div id="cern-search-overlay">
                                    <div class="close-cern-search" onClick="closeSearch()"></div>
                                    <div class="col-md-offset-2 col-md-8">
                                        <div role="search" class="block block-search block-search-form-block">
                                            <form class="search-block-form" data-drupal-selector="search-block-form" action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" data-drupal-form-fields="edit-keys">
                                                <div class="form-item js-form-item form-type-search js-form-type-search form-item-keys js-form-item-keys form-no-label form-group">
                                                    <input title="Enter the terms you wish to search for." data-drupal-selector="edit-keys" class="form-search form-control" placeholder='E.G.BIRTH OF WEB, LHC PAGE 1, BULLETIN...' type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128">
                                                </div>
                                                <div id="edit-keys--description" class="description help-block">{{ 'Enter the terms you wish to search for.'|trans }}</div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        {% endif %}

                    {% endif %}

                {% endfor %}
                </ul>
                {% endif %}
                {% endmacro %}

        </div>
        <!-- /.navbar-collapse -->
    </div>
    <!-- /.container-fluid -->
</nav>
{#
#}
